### Method

# Vips Image remainder_const1

#### Declaration [src]

    int
    vips_remainder_const1 (
      VipsImage* in,
      VipsImage** out,
      double c,
      ...
    )

#### Description [src]

This operation calculates `in` % `c` (remainder after division by a constant) and writes the result to `out`. The image may have any non-complex format. For float formats, `vips_remainder_const()` calculates `in` - `c` * floor (`in` / `c`).

If the array of constants has just one element, that constant is used for all image bands. If the array has more than one element and they have the same number of elements as there are bands in the image, then one array element is used for each band. If the arrays have more than one element and the image only has a single band, the result is a many-band image where each band corresponds to one array element.

See also

`vips_remainder()`, `vips_divide()`, `vips_round()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`c`

  Type: `double`

  Constant.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.